#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <stdio.h>
#include <avr/delay.h>
#include <stdlib.h> 
#include <avr/delay.h>

#define DDRXLCD_LED					DDRB
#define PORTLCD_LED					PORTB
#define DDRX_LCD					DDRB
#define DDRX_LCD_MOSI				DDRB
#define DDRX_LCD_CLK				DDRB
#define DDRXLCD_CS					DDRB
#define PORTLCD_CS					PORTB
#define LCD_CLK						7
#define LCD_MOSI					5
#define LCD_CS						4
#define LCD_LED						3	
#define Clear_Display				0x01
#define Home_Display				0x02
#define Cursoroff_Display			0x0C
#define Cursoron_Display			0x0F



extern void spim_init(void);
extern void SPI_sende(unsigned char aData);
extern void writecmd (unsigned char cmd);
extern void writedat (unsigned char dat);
extern void lcd_init(void);
extern void lcd_chr(unsigned char c);
extern void lcd_str(const char *s);
extern void lcd_clear(void);
extern void lcd_home(void);
extern void lcd_cursoroff(void);
extern void lcd_cursoron(void);
extern void gotoyx(unsigned char y, unsigned char x);
